English

Codedimension error: "No module named rope.base.project" | codimension.org Forums
Subscribe: RSS
  • Codedimension look very interesting and I have been looking for such for a long time.
    I think this IDE is a very good base for learning and teaching.

    Unfortunately, I run Ubuntu Yakkety Yak so I installed Codedimension from source.
    Every check is ok, no problem under installation, but when I start Codedimension, I get:
    Traceback (most recent call last):
      File "/home/eivind/codimension/src/codimension", line 74, in <module>
        from autocomplete.completelists import buildSystemWideModulesList
      File "/home/eivind/codimension/src/autocomplete/completelists.py", line 29, in <module>
        from utils.globals import GlobalData
      File "/home/eivind/codimension/src/utils/globals.py", line 28, in <module>
        from rope.base.project import Project as RopeProject
    


    Is there a fix for this error?
    • Hi eivind,

      Do you have the rope library installed?
      If not then you can install it using a package manager or pip (e.g. https://pypi.python.org/pypi/rope).

      BTW, it is Codimension, not Codedimension - you typed extra ’ed’.